(**************************************************************************

     $RCSfile: Input.mod $
  Description: Interface to input.device

   Created by: fjc (Frank Copeland)
    $Revision: 3.2 $
      $Author: fjc $
        $Date: 1994/08/08 00:49:42 $

  Includes Release 40.15

  (C) Copyright 1985-1993 Commodore-Amiga, Inc.
      All Rights Reserved

  Oberon-A interface Copyright  1994, Frank Copeland.
  This file is part of the Oberon-A Interface.
  See Oberon-A.doc for conditions of use and distribution.

***************************************************************************)

MODULE Input;

(*
** $C- CaseChk       $I- IndexChk  $L+ LongAdr   $N- NilChk
** $P- PortableCode  $R- RangeChk  $S- StackChk  $T- TypeChk
** $V- OvflChk       $Z- ZeroVars
*)

IMPORT E := Exec;


(*
**      $VER: input.h 36.0 (1.5.90)
**
**      input device command definitions
*)

CONST

  addHandler    * = E.cmdNonstd+0;
  remHandler    * = E.cmdNonstd+1;
  writeEvent    * = E.cmdNonstd+2;
  setThresh     * = E.cmdNonstd+3;
  setPeriod     * = E.cmdNonstd+4;
  setMPort      * = E.cmdNonstd+5;
  setMType      * = E.cmdNonstd+6;
  setMTrig      * = E.cmdNonstd+7;


CONST

  name * = "input.device";

TYPE

  InputDevicePtr * = CPOINTER TO InputDevice;
  InputDevice * = RECORD (E.Device) END;

VAR

  base * : InputDevicePtr;

(*
**      $VER: input_protos.h 36.2 (7.11.90)
*)

LIBCALL (base : InputDevicePtr) PeekQualifier* () : E.WSET; -42;

END Input.
