(*---------------------------------------------------------------------------
 :Program.     IntuiPointerDemo.mod
 :Author.      Christian Stiens
 :Address.     Snail-Mail:           E-Mail:
 :Address.     Heustiege 2           UUCP: Christian_Stiens@ouzonix.bo.open.de
 :Address.     W-4710 Ldinghausen   FIDO: 2:241/5807
 :Author.      Oberon-A port by Frank Copeland
 :Address.     fjc@wossname.apana.org.au
 :Copyright.   public domain
 :Language.    Oberon-2
 :Translator.  Oberon-A 4.12
 :Imports.     IntuiPointer
---------------------------------------------------------------------------*)

MODULE IntuiPointerDemo;

(*
** $C= CaseChk       $I= IndexChk  $L= LongAdr   $N= NilChk
** $P= PortableCode  $R= RangeChk  $S= StackChk  $T= TypeChk
** $V= OvflChk       $Z= ZeroVars
*)

  IMPORT
    u := Utility, d:=Dos, I := Intuition, ip:=IntuiPointer, SYS := SYSTEM;

  VAR
    win : I.WindowPtr;
    i   : INTEGER;

BEGIN
  win := I.base.OpenWindowTagsA (
    NIL,
    I.waLeft,     0,   I.waTop,    50,
    I.waWidth,    640, I.waHeight, 100,
    I.waTitle,    SYS.ADR ("IntuiPointerDemo"),
    I.waActivate, 1,
    u.tagEnd );
  IF win # NIL THEN
    d.base.Delay(30);
    FOR i := 0 TO 16 DO
      d.base.Delay(20);
      ip.AnimBusy(win,i);
    END;
    ip.Normal(win);
    d.base.Delay(50);
    I.base.CloseWindow(win);
  END;
END IntuiPointerDemo.


